Quick Entry
Parse a date
Parses a Turkish natural-language date: yarın, perşembe, haftaya salı 14:00, ay sonu, 12 kasım, 3 gün sonra. understood: false means it couldn't be parsed.
Authorization
AuthorizationheaderrequiredBearer token: API key (sk_…), OAuth access token (mcp_…) or mobile session (xk_…).
Scope:
crm.readQuery parameters
qstringrequiredText.
Request
curl "https://ornek.solk.app/api/v1/qe/when?q=haftaya%20sal%C4%B1%2014%3A00" \
-H "Authorization: Bearer $SOLK_API_KEY"const res = await fetch("https://ornek.solk.app/api/v1/qe/when?q=haftaya%20sal%C4%B1%2014%3A00", {
headers: {
Authorization: `Bearer ${process.env.SOLK_API_KEY}`,
},
});
const data = await res.json();import os, requests
r = requests.get(
"https://ornek.solk.app/api/v1/qe/when",
headers={"Authorization": f"Bearer {os.environ['SOLK_API_KEY']}"},
params={"q": "haftaya salı 14:00"},
)
print(r.json())Response
{
"iso": "2026-10-13",
"label": "13 Eki Salı",
"ok": true,
"time": "14:00",
"understood": true
}Example responses were captured from a v43b installation running sample data; lists are shortened to two items.